local frame, events = CreateFrame("Frame"), {};

function events:CHAT_MSG_GUILD(...)
	local chatMessage, chatAuthor=...;
	if chatAuthor~=UnitName("player") then
		PlaySoundFile("Interface\\AddOns\\ChatChannelNotifier\\sounds\\whisper.ogg")
	end
end

function events:CHAT_MSG_WHISPER(...)
	PlaySoundFile("Interface\\AddOns\\ChatChannelNotifier\\sounds\\whisper.ogg")
end

function events:CHAT_MSG_PARTY(...)
	local chatMessage, chatAuthor=...;
	if chatAuthor~=UnitName("player") then
		PlaySoundFile("Interface\\AddOns\\ChatChannelNotifier\\sounds\\whisper.ogg")
	end
end

function events:CHAT_MSG_PARTY_LEADER(...)
	local chatMessage, chatAuthor=...;
	if chatAuthor~=UnitName("player") then
		PlaySoundFile("Interface\\AddOns\\ChatChannelNotifier\\sounds\\whisper.ogg")
	end
end


frame:SetScript("OnEvent", function(self, event, ...)
	events[event](self, ...);
end);

for k, v in pairs(events) do
	frame:RegisterEvent(k);
end


CHAT_MSG_PARTY